package static

import (
	"context"

	"source.toby3d.me/toby3d/home/internal/domain"
)

type Repository interface {
	// Create copy static into store to path.
	Create(ctx context.Context, static domain.Static, path string) (bool, error)

	// Get returns static on path if exists.
	Get(ctx context.Context, path string) (*domain.Static, error)

	// Delete remove static from store if exists.
	Delete(ctx context.Context, path string) (bool, error)
}
